Produced by Araxis Merge on 5/14/2018 1:18:45 PM Eastern Daylight Time. See www.araxis.com for information about Merge. This report uses XHTML and CSS2, and is best viewed with a modern standards-compliant browser. For optimum results when printing this report, use landscape orientation and enable printing of background images and colours in your browser.
| # | Location | File | Last Modified |
|---|---|---|---|
| 1 | MCCF_EDI_TAS_Infrastructure.zip\MCCF_EDI_TAS_Infrastructure\mccf_misc_repo | mvrepo.sh | Tue Mar 27 23:50:48 2018 UTC |
| 2 | MCCF_EDI_TAS_Infrastructure.zip\MCCF_EDI_TAS_Infrastructure\mccf_misc_repo | mvrepo.sh | Thu May 10 16:10:50 2018 UTC |
| Description | Between Files 1 and 2 |
|
|---|---|---|
| Text Blocks | Lines | |
| Unchanged | 2 | 110 |
| Changed | 1 | 2 |
| Inserted | 0 | 0 |
| Removed | 0 | 0 |
| Whitespace | |
|---|---|
| Character case | Differences in character case are significant |
| Line endings | Differences in line endings (CR and LF characters) are ignored |
| CR/LF characters | Not shown in the comparison detail |
No regular expressions were active.
| 1 | #! /bin/ba sh | |
| 2 | # | |
| 3 | clear | |
| 4 | ||
| 5 | # CONTACT INFO | |
| 6 | CONTACT="D an McAllis ter: Danie l.McAllist er@Halfake r.com or PII " | |
| 7 | ||
| 8 | # NAME OR IP OF REPO FILES | |
| 9 | ||
| 10 | ||
| 11 | DEVREPOSRC ="aws-mast er.mccf.ha lfakerlabs .com" | |
| 12 | ||
| 13 | # | |
| 14 | # Verify R OOT user i s running this | |
| 15 | MYID="`/us r/bin/id - u`" | |
| 16 | if [ "$MYI D" -ne 0 ] ; then ec ho $0: You must be r oot to run this 1>&2 ; exit 1 ; fi | |
| 17 | # | |
| 18 | ||
| 19 | echo "" | |
| 20 | echo "$0 l ocalize th e link add ress of th e ${TARGET FILE}" | |
| 21 | ||
| 22 | TARGETREPO SRC=$(host name) | |
| 23 | ||
| 24 | if [ -z "$ {TARGETREP OSRC}" ] | |
| 25 | then | |
| 26 | echo " $0 ${TARGE TREPOSRC} not found, contact $ {CONTACT}" | |
| 27 | fi | |
| 28 | ||
| 29 | echo "$0 S ynchronizi ng install to VA EDE environme nt... " | |
| 30 | echo "$0 M y local ad dress is $ {TARGETREP OSRC}" | |
| 31 | ||
| 32 | ||
| 33 | echo "" | |
| 34 | echo "$0 C opy the re levant fil es to the html locat ion" | |
| 35 | ||
| 36 | PUBDIR="/v ar/www/htm l/pub" | |
| 37 | REPODIR="$ {PUBDIR}/r epo/misc" | |
| 38 | mkdir ${RE PODIR} -p | |
| 39 | ||
| 40 | rsync -av --progress . ${REPOD IR} --excl ude '.git* ' --exclud e 'README. md' --excl ude '*.bak ' --exclud e '*.sh' - -del | |
| 41 | ||
| 42 | if [ -s "$ {REPODIR}" ] | |
| 43 | then | |
| 44 | echo " $0 Fix dir ectory own er and per missions" | |
| 45 | chown -R root:ro ot "${PUBD IR}" | |
| 46 | chmod 0755 "${PU BDIR}" | |
| 47 | find $ {PUBDIR} - type d -ex ec chmod 0 755 '{}' \ ; | |
| 48 | find $ {PUBDIR} - type f -ex ec chmod 0 644 '{}' \ ; | |
| 49 | echo " $0 task co mpleted" | |
| 50 | else | |
| 51 | echo " $0 ${REPOD IR} not fo und, conta ct ${CONTA CT}" | |
| 52 | fi | |
| 53 | ||
| 54 | restorecon -R "/var/ www/html" | |
| 55 | if [ $? -n e 0 ] ; th en echo "$ 0: Please report any errors to ${CONTACT }" ; fi | |
| 56 |
Araxis Merge (but not the data content of this report) is Copyright © 1993-2016 Araxis Ltd (www.araxis.com). All rights reserved.